"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const fsExtra = __importStar(require("fs-extra"));
class BaseIndexer {
    constructor(attributes) {
        this.workspaceRoot = path.resolve(attributes.workspaceRoot);
    }
    sfdxConfig(root) {
        const filename = path.join(root, 'sfdx-project.json');
        const data = fsExtra.readFileSync(filename).toString();
        return JSON.parse(data);
    }
    get sfdxPackageDirsPattern() {
        const dirs = this.sfdxConfig(this.workspaceRoot).packageDirectories;
        const paths = dirs.map((item) => item.path);
        return paths.length === 1 ? paths[0] : `{${paths.join()}}`;
    }
}
exports.default = BaseIndexer;
//# sourceMappingURL=base-indexer.js.map